My Project: dgBroadphaseSyncDescriptor Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgBroadphaseSyncDescriptor Class Reference

## Public Member Functions

| dgBroadphaseSyncDescriptor (dgBroadPhase::dgType broadPhaseType, dgThread::dgCriticalSection *const lock)
void | CreatePairsJobs (dgBroadPhase::dgNode *const rootNode)

## Public Attributes

dgThread::dgCriticalSection * | m_lock
dgInt32 | m_pairsCount
dgInt32 | m_pairsAtomicCounter
dgInt32 | m_jointsAtomicCounter
dgFloat32 | m_timestep
dgBodyMasterList::dgListNode * | m_collindPairBodyNode
dgBodyMasterList::dgListNode * | m_forceAndTorqueBodyNode
dgList< dgBody * >::dgListNode * | m_newBodiesNodes
dgBroadPhase::dgType | m_broadPhaseType
dgBroadPhase::dgNode * | m_pairs [1024 *4]

## Constructor & Destructor Documentation

## § dgBroadphaseSyncDescriptor()

dgBroadphaseSyncDescriptor::dgBroadphaseSyncDescriptor | ( | dgBroadPhase::dgType | broadPhaseType,
|  | dgThread::dgCriticalSection *const | lock
| ) |  |

inline

## Member Function Documentation

## § CreatePairsJobs()

void dgBroadphaseSyncDescriptor::CreatePairsJobs | ( | dgBroadPhase::dgNode *const | rootNode | ) |

inline

## Member Data Documentation

## § m_broadPhaseType

dgBroadPhase::dgType dgBroadphaseSyncDescriptor::m_broadPhaseType

## § m_collindPairBodyNode

dgBodyMasterList::dgListNode* dgBroadphaseSyncDescriptor::m_collindPairBodyNode

## § m_forceAndTorqueBodyNode

dgBodyMasterList::dgListNode* dgBroadphaseSyncDescriptor::m_forceAndTorqueBodyNode

## § m_jointsAtomicCounter

dgInt32 dgBroadphaseSyncDescriptor::m_jointsAtomicCounter

## § m_lock

dgThread::dgCriticalSection* dgBroadphaseSyncDescriptor::m_lock

## § m_newBodiesNodes

dgList<dgBody*>::dgListNode* dgBroadphaseSyncDescriptor::m_newBodiesNodes

## § m_pairs

dgBroadPhase::dgNode* dgBroadphaseSyncDescriptor::m_pairs[1024 *4]

## § m_pairsAtomicCounter

dgInt32 dgBroadphaseSyncDescriptor::m_pairsAtomicCounter

## § m_pairsCount

dgInt32 dgBroadphaseSyncDescriptor::m_pairsCount

## § m_timestep

dgFloat32 dgBroadphaseSyncDescriptor::m_timestep

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgBroadPhase.cpp